/*
* Source Sara C++ Tutorial
* https://sourcesara.com/cpp-programming-tutorial/
*/

#include <iostream>
#include <ctime>
#include <windows.h>

using namespace std;

int main ()
{
    SetConsoleTitle("SourceSara.Com");

	/* *******************************************************
	Current Date and Time
	******************************************************** */

	// current date/time based on current system
	time_t currentDateTime = time(0);

	// convert currentDateTime to string form
	char* dateTime = ctime(&currentDateTime);

	cout << "The local date and time is: " << dateTime << endl;

	// convert currentDateTime to tm struct for UTC
	tm *gmtm = gmtime(&currentDateTime);
	dateTime = asctime(gmtm);
	cout << "The UTC date and time is:"<< dateTime << endl;


	/* *******************************************************
	Format Time using struct tm
	******************************************************** */

//	// current date/time based on current system
//	time_t currentDateTime = time(0);
//
//	cout << "Number of sec since January 1,1970:" << currentDateTime << endl;
//
//	tm *localTime = localtime(&currentDateTime);
//
//	// print various components of tm structure.
//	cout << "Year" << 1970 + localTime->tm_year<<endl;
//	cout << "Month: "<< 1 + localTime->tm_mon<< endl;
//	cout << "Day: "<<  localTime->tm_mday << endl;
//	cout << "Time: "<< 1 + localTime->tm_hour << ":";
//	cout << 1 + localTime->tm_min << ":";
//	cout << 1 + localTime->tm_sec << endl;

	return 0;
}

